import os
import pandas as pd
import snowflake.connector

def fetch_snowflake(sql_query):
    ctx = snowflake.connector.connect(
        user=os.environ['SK_USER'],
        role=os.environ['SK_ROLE'],
        password=os.environ['SK_PASSWORD'],
        warehouse=os.environ['SK_WAREHOUSE'],
        account=os.environ['SK_ACCOUNT'])
    
    cur = ctx.cursor()
    try:
        cur.execute(sql_query)
        dataframe = cur.fetch_pandas_all()
        dataframe.columns = dataframe.columns.str.lower()
        return dataframe
    
    except Exception as ex:
        print(ex)
    finally:
        cur.close()
    ctx.close()